%define upstream_name	 DBD-SQLite
%define upstream_version 1.74

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Self Contained RDBMS in a DBI Driver
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
# Use system sqlite if it is available
Patch0:     perl-DBD-SQLite-bz543982.patch
# Remove notes about bundled sqlite C source from man page and README
Patch1:     DBD-SQLite-1.62-Remove-bundled-source-extentions.patch

BuildRequires: perl(DBI) >= 1.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl-devel
BuildRequires: pkgconfig(sqlite3)
%{?perl_default_filter}

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1

# Remove bundled sqlite libraries (mga#30216)
# System libraries will be used
rm sqlite*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# useless content
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.c
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.h
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3ext.h

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 1.740.0-3.mga10
+ Revision: 2088992
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.740.0-2.mga10
+ Revision: 2011857
- Rebuild for perl-5.38

* Wed Sep 20 2023 tv <tv> 1.740.0-1.mga10
+ Revision: 1988382
- update to 1.74

* Thu Jun 29 2023 daviddavid <daviddavid> 1.720.0-2.mga9
+ Revision: 1963297
- use system sqlite3 (mga#30216)

* Sat Nov 05 2022 tv <tv> 1.720.0-1.mga9
+ Revision: 1903720
- update to 1.72

* Tue Jun 07 2022 umeabot <umeabot> 1.700.0-3.mga9
+ Revision: 1862857
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.700.0-2.mga9
+ Revision: 1796788
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 1.700.0-1.mga9
+ Revision: 1738548
- update to 1.70

* Mon Jul 26 2021 tv <tv> 1.680.0-1.mga9
+ Revision: 1737895
- update to 1.68

* Mon May 24 2021 umeabot <umeabot> 1.660.0-2.mga9
+ Revision: 1726545
- Rebuild for perl 5.34

* Mon Aug 31 2020 tv <tv> 1.660.0-1.mga8
+ Revision: 1620262
- update to 1.66

* Thu Jun 18 2020 umeabot <umeabot> 1.640.0-4.mga8
+ Revision: 1595640
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.640.0-3.mga8
+ Revision: 1528822
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 1.640.0-2.mga8
+ Revision: 1432672
- rebuild for perl 5.30

* Sun Aug 25 2019 tv <tv> 1.640.0-1.mga8
+ Revision: 1431982
- update to 1.64

* Sun Dec 30 2018 tv <tv> 1.620.0-1.mga7
+ Revision: 1347001
- new release

* Sun Dec 02 2018 tv <tv> 1.600.0-1.mga7
+ Revision: 1337398
- update to 1.60

* Fri Sep 21 2018 umeabot <umeabot> 1.580.0-3.mga7
+ Revision: 1292673
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 1.580.0-2.mga7
+ Revision: 1247985
- Rebuild for new perl 5.28.0

* Thu Mar 29 2018 tv <tv> 1.580.0-1.mga7
+ Revision: 1213431
- update to 1.58

* Sat Mar 03 2018 tv <tv> 1.560.0-1.mga7
+ Revision: 1206279
- update to 1.56

* Mon Oct 02 2017 tv <tv> 1.540.0-4.mga7
+ Revision: 1163895
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.540.0-3.mga7
+ Revision: 1149611
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.540.0-2.mga7
+ Revision: 1127631
- Rebuild against new Perl 5.26

* Sat Jul 22 2017 shlomif <shlomif> 1.540.0-1.mga7
+ Revision: 1126459
- New version 1.54 + rebuild for perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.500.0-2.mga6
+ Revision: 1025392
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1.500.0-1.mga6
+ Revision: 978725
- update to 1.50

* Fri Feb 12 2016 umeabot <umeabot> 1.480.0-3.mga6
+ Revision: 957098
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.480.0-2.mga6
+ Revision: 844830
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.480.0-1.mga6
+ Revision: 840578
- New version 1.48 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.420.0-5.mga5
+ Revision: 746564
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.420.0-4.mga5
+ Revision: 735543
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.420.0-3.mga5
+ Revision: 684090
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.420.0-2.mga5
+ Revision: 632203
- perl 5.20.0 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.420.0-1.mga5
+ Revision: 606178
- update to 1.42

* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-2.mga4
+ Revision: 530731
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 1.400.0-1.mga4
+ Revision: 459412
- update to 1.40

* Wed May 29 2013 tv <tv> 1.370.0-3.mga4
+ Revision: 430106
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-2.mga3
+ Revision: 365021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.370.0-1.mga3
+ Revision: 261544
- update to 1.37

* Wed May 30 2012 jquelin <jquelin> 1.350.0-2.mga3
+ Revision: 250492
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 179167
- update to 1.35

* Mon Jun 13 2011 jquelin <jquelin> 1.330.0-2.mga2
+ Revision: 105655
- remove CFLAGS information, which prevent dbd::sqlite from working
- update to 1.33
+ sander85 <sander85>
- perl 5.14

* Tue Jan 18 2011 blino <blino> 1.310.0-2.mga1
+ Revision: 23262
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 7347
- imported package perl-DBD-SQLite

